Name:           libshout
Version:        2.2.2
Release:        21
Summary:        Library which can be used to write a source client like ices
License:        LGPLv2+
URL:            http://www.icecast.org/
Source:         http://downloads.us.xiph.org/releases/libshout/libshout-%{version}.tar.gz

Patch0:         libshout-2.2.2-fix_speex.patch

BuildRequires:  libogg-devel libvorbis-devel libtheora-devel speex-devel pkgconfig

%description
libshout is a library which can be used to write a source client like ices. It handles the socket
connection, the timing of the data, and prevents most bad data from getting to the icecast server.

%package        devel
Summary:        Libraries and header files for libshout
Requires:       libshout = %{version}-%{release}

%description    devel
The libshout-devel package contains the libraries and header files needed for libshout.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

%pre

%post -p /sbin/ldconfig

%preun

%postun -p /sbin/ldconfig

%files
%doc NEWS README COPYING
%{_libdir}/libshout.so.3*

%files devel
%doc examples/*.c doc/*.xml doc/*.xsl
%{_includedir}/shout/
%{_libdir}/libshout.so
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4
%exclude %{_libdir}/*.la
%exclude %{_docdir}/libshout/*.c

%changelog
* Mon Oct 21 2019 Huiming Xie <xiehuiming@huawei.com> - 2.2.2-21
- init package

